Bug 35565 - Components selected after system-setup do now show up as installed apps
Components selected after system-setup do now show up as installed apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-05 10:18 CEST by Dirk Wiesenthal
Modified: 2014-08-07 17:46 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-08-05 10:18:01 CEST
Reason is that the new system-setup already fetched all ini files. No new files => the App Center sees no point in recreating the installed apps module definition files.

This problem goes away with the first errata update of the App Center, with new files released in the App Center since setup, etc. So no big deal, but yet, it is a bug.

We should trigger the ucr commit upon changing repository/app_center/installed.
Comment 1 Dirk Wiesenthal univentionstaff 2014-08-05 15:30:56 CEST
(In reply to Dirk Wiesenthal from comment #0)
> We should trigger the ucr commit upon changing
> repository/app_center/installed.

Fixed in
  univention-management-console-module-appcenter 3.0.51-25.260.201408051346
Comment 2 Felix Botner univentionstaff 2014-08-06 14:11:44 CEST
OK - components (e.g. mailserver) selected during system-setup or installation
     are show as installed apps on the  finished system
OK - YAML
OK - merged to 3.2-3 and 4.0-0
Comment 3 Janek Walkenhorst univentionstaff 2014-08-07 17:46:30 CEST
http://errata.univention.de/ucs/3.2/166.html